Rediffied paco patch.

This commit is contained in:
Manuel Canales Esparcia 2006-05-05 19:16:02 +00:00
parent 1ee8ad5603
commit d29584bb22

View file

@ -1,6 +1,6 @@
Index: LFS/master.sh
===================================================================
--- LFS/master.sh (revision 2625)
--- LFS/master.sh (revision 2646)
+++ LFS/master.sh (working copy)
@@ -179,6 +179,18 @@
*stripping*) [[ "${STRIP}" = "0" ]] && continue ;;
@ -66,7 +66,7 @@ Index: LFS/master.sh
esac
Index: LFS/lfs.xsl
===================================================================
--- LFS/lfs.xsl (revision 2625)
--- LFS/lfs.xsl (revision 2646)
+++ LFS/lfs.xsl (working copy)
@@ -32,6 +32,9 @@
<!-- Locale settings -->
@ -114,7 +114,7 @@ Index: LFS/lfs.xsl
<xsl:apply-templates/>
Index: BLFS/master.sh
===================================================================
--- BLFS/master.sh (revision 2625)
--- BLFS/master.sh (revision 2646)
+++ BLFS/master.sh (working copy)
@@ -79,6 +79,19 @@
EOF
@ -146,7 +146,7 @@ Index: BLFS/master.sh
# if it's already been made.
Index: BLFS/blfs.xsl
===================================================================
--- BLFS/blfs.xsl (revision 2625)
--- BLFS/blfs.xsl (revision 2646)
+++ BLFS/blfs.xsl (working copy)
@@ -159,7 +159,7 @@
<xsl:when test="@role = 'nodump'"/>
@ -175,7 +175,7 @@ Index: common/paco-build-hlfs.sh
+make logme
Index: common/config
===================================================================
--- common/config (revision 2625)
--- common/config (revision 2646)
+++ common/config (working copy)
@@ -80,6 +80,14 @@
#--- Run farce testing 0(no)/1(yes)
@ -204,7 +204,7 @@ Index: common/config
+LD_PRELOAD=/usr/lib/libpaco-log.so
Index: common/func_validate_configs.sh
===================================================================
--- common/func_validate_configs.sh (revision 2625)
--- common/func_validate_configs.sh (revision 2646)
+++ common/func_validate_configs.sh (working copy)
@@ -84,10 +84,10 @@
inline_doc
@ -362,9 +362,9 @@ Index: common/paco-build-lfs.sh
+make logme
Index: common/common-functions
===================================================================
--- common/common-functions (revision 2625)
--- common/common-functions (revision 2646)
+++ common/common-functions (working copy)
@@ -60,6 +60,9 @@
@@ -65,6 +65,9 @@
in the configuration file has the proper packages and patches for the
book version being processed.
@ -374,7 +374,7 @@ Index: common/common-functions
${BOLD} -T, --testsuites N ${OFF}
Run test suites [0-3]
0 = none
@@ -567,6 +570,7 @@
@@ -575,6 +578,7 @@
--stringparam lc_all $LC_ALL \
--stringparam keymap $KEYMAP \
--stringparam grsecurity_host $GRSECURITY_HOST \
@ -382,7 +382,7 @@ Index: common/common-functions
-o ./${PROGNAME}-commands/ $XSL $BOOK/index.xml >>$LOGDIR/$LOG 2>&1
;;
lfs)
@@ -578,6 +582,7 @@
@@ -586,6 +590,7 @@
--stringparam timezone $TIMEZONE \
--stringparam page $PAGE \
--stringparam lang $LANG \
@ -392,7 +392,7 @@ Index: common/common-functions
blfs)
Index: HLFS/hlfs.xsl
===================================================================
--- HLFS/hlfs.xsl (revision 2625)
--- HLFS/hlfs.xsl (revision 2646)
+++ HLFS/hlfs.xsl (working copy)
@@ -39,6 +39,9 @@
<xsl:param name="lang" select="en_CA"/>
@ -443,7 +443,7 @@ Index: HLFS/hlfs.xsl
<xsl:apply-templates/>
Index: HLFS/master.sh
===================================================================
--- HLFS/master.sh (revision 2625)
--- HLFS/master.sh (revision 2646)
+++ HLFS/master.sh (working copy)
@@ -253,6 +253,18 @@
*-stripping* ) [[ "$STRIP" = "0" ]] && continue ;;
@ -509,21 +509,9 @@ Index: HLFS/master.sh
;;
Index: master.sh
===================================================================
--- master.sh (revision 2625)
--- master.sh (revision 2646)
+++ master.sh (working copy)
@@ -70,6 +70,11 @@
source $MODULE
[[ $? > 0 ]] && echo "$MODULE did not load.." && exit 2
[[ $VERBOSITY > 0 ]] && echo "OK"
+# Load paco-functions
+[[ $VERBOSITY > 0 ]] && echo -n "Loading paco module..."
+source $COMMON_DIR/paco-functions
+[[ $? > 0 ]] && echo "$COMMON_DIR/paco-functions did not load.." && exit 2
+[[ $VERBOSITY > 0 ]] && echo "OK"
#
[[ $VERBOSITY > 0 ]] && echo "${SD_BORDER}${nl_}"
@@ -152,6 +157,8 @@
@@ -147,6 +147,8 @@
--help | -h ) usage | more && exit ;;
@ -532,7 +520,23 @@ Index: master.sh
--testsuites | -T )
test $# = 1 && eval "$exit_missing_arg"
shift
@@ -468,6 +475,15 @@
@@ -448,6 +450,15 @@
[[ $? > 0 ]] && echo "$COMMON_DIR/func_compare.sh did not load.." && exit
[[ $VERBOSITY > 0 ]] && echo "OK"
fi
+#
+# paco module
+if [[ "$USE_PACO" = "1" ]]; then
+ [[ $VERBOSITY > 0 ]] && echo -n "Loading paco module..."
+ source $COMMON_DIR/paco-functions
+ [[ $? > 0 ]] && echo "$COMMON_DIR/paco-functions did not load.." && exit 2
+ [[ $VERBOSITY > 0 ]] && echo "OK"
+fi
+#
# Prevents setting "-d /" by mistake.
@@ -472,6 +483,15 @@
if [[ "$PWD" != "$JHALFSDIR" ]]; then
cp $COMMON_DIR/makefile-functions $JHALFSDIR/